#
# spec file for package ocaml-stdcompat
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-stdcompat
Version:        19
Release:        2.10
%{?ocaml_preserve_bytecode}
Summary:        Stdcompat: compatibility module for OCaml standard library 
License:        BSD-2-Clause
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/stdcompat
Source0:        %name-%version.tar.xz
Source1:        %name-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bash
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.0
BuildRequires:  ocaml-rpm-macros >= 20230101

%description
Stdcompat is a compatibility layer allowing programs to use some recent additions to the OCaml standard library while preserving the ability to be compiled on former versions of OCaml.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='stdcompat'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Sun Jan  1 2023 ohering@suse.de
- Upstream moved the v19 git tag
* Wed Jun 22 2022 ohering@suse.de
- Update to version 19
  Support for OCaml 5.0
* Mon Apr  4 2022 ohering@suse.de
- Update to version 18
  Support for OCaml 4.14.0
* Sun Oct 10 2021 ohering@suse.de
- Update to version 17
* Sat Sep 11 2021 ohering@suse.de
- Update to version 16
  Support for OCaml 4.13.0
* Fri Apr  9 2021 ohering@suse.de
- Initial version 15
